## qemu 1.7.0+dfsg

=== debian/changelog ===
qemu (1:1.7.0+dfsg-uvt1) stable; urgency=low

  * Enable librbd-support.

 -- Wessel Dankers <W.S.L.Dankers@uvt.nl>  Mon, 17 Feb 2014 23:03:55 +0100

qemu (1.7.0+dfsg-2~bpo70+2) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports:
    - disabled seccomp for now (not in wheezy)
    - fix versioned Breaks: for qemu-kvm (should be in the next unstable)

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 06 Dec 2013 01:21:37 +0400

qemu (1.7.0+dfsg-2) unstable; urgency=low

  * switch from vgabios to seavgabios
  * rework update-alternatives handling for qemu-system (Closes: #722914)
  * mention closing of #326886, #390444, #706237 and CVE-2013-4375 for 1.7.0
  * rearrange libvte-dev build-dependency to come together with gtk, and
    comment it out (since gtk frontend isn't being built)
  * re-introduce qemu-kvm package with just a wrapper (/usr/bin/kvm)
    and make this wrapper to force kvm mode (Closes: #727762)
  * use less strict dependency on qemu-keymaps
  * added fix-smb-security-share.patch by Michael Büsch (Closes: #727756)
  * added move-ncalrpc-dir-to-tmp.patch by Michael Büsch (Closes: #728876)

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 29 Nov 2013 00:16:44 +0400

qemu (1.7.0+dfsg-1) unstable; urgency=low

  * new upstream release (Closes: #724758, #326886, #390444, #706237)
    Also fixes CVE-2013-4375 (xen-specific qemu disk backend (qdisk)
    resource leak)
  * tweak kvm loading script to not load module for 3.4+ kernel
    (kernel autoloads kvm modules since 3.4) (Closes: #717811)
  * mention closing of #721713, #710971, #674201
  * refresh use-fixed-data-path.patch to contain just the min. changes
  * fix pxe-eepro100.rom link (never worked in qemu due to wrong name)
  * remove old $Id$ line from debian/rules

 -- Michael Tokarev <mjt@tls.msk.ru>  Thu, 28 Nov 2013 03:14:21 +0400

qemu (1.6.0+dfsg-2) unstable; urgency=low

  * Build-depend in seccomp again once it is in -testing
  * 1.6.1 upstream bugfix release (Closes: #725944, #721713, #710971)
  * fix "allows [one] to" in qemu-ga description
  * fix descriptions for qemu-system and qemu-system-common packages

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 11 Oct 2013 01:15:48 +0400

qemu (1.6.0+dfsg-1) unstable; urgency=low

  * final upstream v1.6.0 (Closes: #718180, #714273, #605525, #701855, #674201)
  * removed configure-explicitly-disable-virtfs-if-softmmu=no.patch
  * mention closing of #717724 by 1.6
  * mention closing of #710971 by 1.5 (which disabled gtk support)

  [ Riku Voipio ]
  * - set --cross-prefix in debian/rules when cross-compiling

 -- Michael Tokarev <mjt@tls.msk.ru>  Mon, 02 Sep 2013 15:18:49 +0400

qemu (1.6.0~rc0+dfsg-1exp) experimental; urgency=low

  * uploading to experimental (rc0)
  * new upstream release (release candidate) (Closes: #718016, #717724)
  * removed patches:
   - qemu-1.5.1.diff
   - sparc-linux-user-fix-missing-symbols-in-.rel-.rela.plt-sections.patch
  * refreshed use-fixed-data-path.patch
  * ship new qemu_logo_no_text.svg
  * stop shipping sgabios symlink, it is moved to sgabios package
  * bump version of libseccomp build dependency to 2.1 (minimum
    required to build) and disable libseccomp for now (because it
    isn't available in debian yet)

 -- Michael Tokarev <mjt@tls.msk.ru>  Wed, 31 Jul 2013 10:49:30 +0400

qemu (1.5.0+dfsg-5) unstable; urgency=low

  * new upstream 1.5.1 stable/bugfix release (as qemu-1.5.1.diff)
    removed qemu_openpty_raw-helper.patch (included upstream)
  * configure-explicitly-disable-virtfs-if-softmmu=no.patch -- do not
    build virtfs-proxy-helper stuff if not building system emulator
    (fix FTBFS on s390)
  * disable gtk ui and build dependencies, as it adds almost nothing
    compared with sdl (well, except bugs and limitations), and has
    lots of additional dependencies (Closes: #710971)
  * remove obsolete /etc/init.d/qemu-kvm (Closes: #712898)
  * fix versions of obsolete qemu-kvm conffiles to be removed
  * provide manpage for obsolete kvm (Closes: #716891, #586973)
  * add --daemonize option to the guest-agent startup script (Closes: #715502)
  * clarify what qemu-guest-agent does (Closes: #714270) and provide
    its json schema as a doc

 -- Michael Tokarev <mjt@tls.msk.ru>  Tue, 23 Jul 2013 22:39:54 +0400

qemu (1.5.0+dfsg-4) unstable; urgency=medium

  * urgency is medium to make it go faster because, on one hand, we've
    been in unstable for quite a bit longer than needed already and
    have nothing but (build) fixes in there, but on the other hand
    we're holding migration of other packages which are waiting for
    us, again, for too long already
  * added qemu_openpty_raw-helper.patch - a cleanup patch submitted upstream
    which removes #include <termios.h> from common header and hence works
    around FTBFS problem on debian sparc where somehow, <termios.h> conflicts
    with <linux/termio.h>.

 -- Michael Tokarev <mjt@tls.msk.ru>  Thu, 06 Jun 2013 01:50:32 +0400

qemu (1.3.0+dfsg-1~exp1) experimental; urgency=low

  [ Michael Tokarev ]
  * new upstream version (1.3.0)
    (Closes: #676374, #622319, #597527, #593547, #660154)
   - Removed patches included upstream:
     do-not-include-libutil.h.patch
     configure-nss-usbredir.patch
     tcg_s390-fix-ld_st-with-CONFIG_TCG_PASS_AREG0.patch
     net-add--netdev-options-to-man-page.patch
   - update 02_kfreebsd.patch
   - do not build mpc8544ds.dtb
   - include new targets
  * Cleaned up the build system ALOT.  Larger changes:
    - used explicit lists of emulated targets in debian/rules
      and generate everything else from there, instead of repeating
      these lists in lots of places.
    - stop using debian/$pkg.manpages and other auxilary files like this,
      moving eveything to debian/$pkg.install, because with the number
      of packages growing, amount of these small files becomes very
      large and the result is difficult to maintain.
  * ship forgotten target-x86_64.conf in qemu-system.
  * ship virtfs-proxy-helper in qemu-utils.

